VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
CNinePartTiledDescription Struct Reference

## Public Types
enum | { kPartTopLeft, kPartTop, kPartTopRight, kPartLeft, kPartCenter, kPartRight, kPartBottomLeft, kPartBottom, kPartBottomRight, kPartCount }

## Public Member Functions
| CNinePartTiledDescription ()=default
| CNinePartTiledDescription (CCoord left, CCoord top, CCoord right, CCoord bottom)
void | calcRects (const CRect &inBitmapRect, CRect outRect[kPartCount]) const

## Public Attributes
CCoord | left {0.}
CCoord | top {0.}
CCoord | right {0.}
CCoord | bottom {0.}

## Member Enumeration Documentation

anonymous enum

Enumerator
kPartTopLeft |
kPartTop |
kPartTopRight |
kPartLeft |
kPartCenter |
kPartRight |
kPartBottomLeft |
kPartBottom |
kPartBottomRight |
kPartCount |

## Constructor & Destructor Documentation

CNinePartTiledDescription | ( |  | ) |
| default

CNinePartTiledDescription | ( | CCoord | left,
|  | CCoord | top,
|  | CCoord | right,
|  | CCoord | bottom
| ) |  |
| inline

## Member Function Documentation

void calcRects | ( | const CRect & | inBitmapRect,
|  | CRect | outRect[kPartCount]
| ) |  | const
| inline

## Member Data Documentation

CCoord bottom {0.}

CCoord left {0.}

CCoord right {0.}

CCoord top {0.}

The documentation for this struct was generated from the following file:

- cbitmap.h